#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define	snap	20250104
%define	rel	1
Summary:	Editline Library
Summary(pl.UTF-8):	Biblioteka Editline (edytor linii poleceń)
Name:		libedit
Version:	3.1
Release:	1.%{snap}.%{rel}
Epoch:		0
License:	BSD
Group:		Libraries
Source0:	https://thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
# Source0-md5:	3b2c3c4ab30374bf975d69b5bcc220b6
Patch0:		%{name}-man.patch
URL:		https://thrysoee.dk/editline/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Port of the NetBSD Editline library (libedit). This Berkeley-style
licensed command line editor library provides generic line editing,
history, and tokenization functions, similar to those found in GNU
Readline.

%description -l pl.UTF-8
Port biblioteki Editline z NetBSD (libedit). Jest to biblioteka
edytora linii poleceń na licencji w stylu BSD udostępniająca
funkcjonalność ogólnego modyfikowania linii, historii oraz tokenizacji
podobną do obecnych w GNU Readline.

%package devel
Summary:	Header files and development documentation for libedit
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do libedit
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	ncurses-devel
Conflicts:	heimdal-devel <= 0.6.3-1

%description devel
Header files and development documentation for libedit.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libedit.

%package static
Summary:	Static libedit library
Summary(pl.UTF-8):	Statyczna biblioteka libedit
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libedit library.

%description static -l pl.UTF-8
Statyczna biblioteka libedit.

%prep
%setup -q -n %{name}-%{snap}-%{version}
%patch -P0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
LANG=C; export LANG
LC_ALL=C; export LC_ALL
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	--enable-widec \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make} -C src vi.h emacs.h common.h

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libedit.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog THANKS
%attr(755,root,root) %{_libdir}/libedit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedit.so.0
%{_mandir}/man5/editrc.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedit.so
%{_includedir}/editline
%{_includedir}/histedit.h
%{_pkgconfigdir}/libedit.pc
%{_mandir}/man3/editline.3*
%{_mandir}/man3/el_*.3*
%{_mandir}/man7/editline.7*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libedit.a
%endif
%changelog
* Mon May 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libedit.git;a=log;h=master

* Mon May 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a426364
- Up to 20250104; man pages are not conflicting now

* Mon Sep 11 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ed90f3
- Up to 20230828

* Mon Jan 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 6239069
- updated to 20221030

* Tue Mar 01 2022 Marcin Krol <hawk@tld-linux.org> 4176647
- rediffed

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d67fe8
- updated to 20191231-3.1
- drop .la file, there is .pc

* Sun Oct 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ffc742
- up to 20190324

* Thu Mar 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 778639f
- up to 20181209

* Tue Jul 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 21bfbe5
- updated to 20180525

* Fri Oct 07 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c90fad
- up to 20160903

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> d592e7d
- updated to 20160618

* Fri Jan 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 32348ae
- up to 20150325

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 959844d
- x32 rebuild
- release 2 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e13e33a
- relup.sh friendly release

* Sun Feb 01 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0633159
- up to 20141030

* Wed Feb 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fd4798a
- up to 20140213; add snap to release since this package is actually versioned using date

* Thu Oct 24 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 21f6cce
- up to 3.1 20130712

* Mon Nov 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d6e819
- up to 20120601

* Tue Jan 03 2012 lisu <lisu@pld-linux.org> 24dc967
- rel 7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 641df2a
- release 6

* Sun Aug 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 682ac05
- up to 20110802

